# xoxys.mosquitto
  
[![Build Status](https://drone.rknet.org/api/badges/ansible/xoxys.mosquitto/status.svg)](https://drone.rknet.org/ansible/xoxys.mosquitto)


Role to setup mosquitto mqtt broker

## Table of content

* [Default Variables](#default-variables)
  * [mosquitto_base_dir](#mosquitto_base_dir)
  * [mosquitto_pid_file](#mosquitto_pid_file)
  * [mosquitto_user](#mosquitto_user)
  * [mosquitto_group](#mosquitto_group)
  * [mosquitto_port](#mosquitto_port)
  * [mosquitto_bind_address](#mosquitto_bind_address)
  * [mosquitto_packages_extra](#mosquitto_packages_extra)
  * [mosquitto_persistence_enabled](#mosquitto_persistence_enabled)
  * [mosquitto_persistence_path](#mosquitto_persistence_path)
  * [mosquitto_password_auth_enabled](#mosquitto_password_auth_enabled)
  * [mosquitto_password_auth_file](#mosquitto_password_auth_file)
  * [mosquitto_password_auth_users](#mosquitto_password_auth_users)
  * [mosquitto_acl_enabled](#mosquitto_acl_enabled)
  * [mosquitto_acl_file](#mosquitto_acl_file)
  * [mosquitto_acl](#mosquitto_acl)
  * [mosquitto_tls_enabled](#mosquitto_tls_enabled)
  * [mosquitto_tls_ciphers](#mosquitto_tls_ciphers)
  * [mosquitto_ca_path](#mosquitto_ca_path)
  * [mosquitto_tls_cert_source](#mosquitto_tls_cert_source)
  * [mosquitto_tls_key_source](#mosquitto_tls_key_source)
  * [mosquitto_tls_cert_path](#mosquitto_tls_cert_path)
  * [mosquitto_tls_key_path](#mosquitto_tls_key_path)
* [Dependencies](#dependencies)
* [License](#license)
* [Author](#author)

---

## Default Variables

### mosquitto_base_dir

#### Default value

```YAML
mosquitto_base_dir: /etc/mosquitto
```

### mosquitto_pid_file

#### Default value

```YAML
mosquitto_pid_file: /var/run/mosquitto.pid
```

### mosquitto_user

#### Default value

```YAML
mosquitto_user: mosquitto
```

### mosquitto_group

#### Default value

```YAML
mosquitto_group: mosquitto
```

### mosquitto_port

#### Default value

```YAML
mosquitto_port: 1883
```

### mosquitto_bind_address

#### Default value

```YAML
mosquitto_bind_address: '{{ ansible_default_ipv4.address }}'
```

### mosquitto_packages_extra

#### Default value

```YAML
mosquitto_packages_extra: []
```

### mosquitto_persistence_enabled

#### Default value

```YAML
mosquitto_persistence_enabled: false
```

### mosquitto_persistence_path

#### Default value

```YAML
mosquitto_persistence_path: /var/lib/mosquitto/mosquitto.db
```

### mosquitto_password_auth_enabled

#### Default value

```YAML
mosquitto_password_auth_enabled: false
```

### mosquitto_password_auth_file

#### Default value

```YAML
mosquitto_password_auth_file: '{{ mosquitto_base_dir }}/passwd'
```

### mosquitto_password_auth_users

#### Default value

```YAML
mosquitto_password_auth_users: []
```

#### Example usage

```YAML
mosquitto_password_auth_users:
  - name: admin
    password: mysecret
    state: present
  - name: user1
    password: very_secure
    state: absent
```

### mosquitto_acl_enabled

#### Default value

```YAML
mosquitto_acl_enabled: false
```

### mosquitto_acl_file

#### Default value

```YAML
mosquitto_acl_file: '{{ mosquitto_base_dir }}/aclfile'
```

### mosquitto_acl

#### Default value

```YAML
mosquitto_acl: []
```

#### Example usage

```YAML
mosquitto_acl:
  - name: iot
    user: admin
    acls:
      - acl_base: topic  (topic|pattern, defaults to topic)
        acl_topic: ""
        acl_policy: readwrite
  - name: readonly_iot
    user: user1
    acls:
      - acl_base: topic
        acl_topic: my/devices
        acl_policy: readwrite
```

### mosquitto_tls_enabled

#### Default value

```YAML
mosquitto_tls_enabled: false
```

### mosquitto_tls_ciphers

#### Default value

```YAML
mosquitto_tls_ciphers:
  - DEFAULT
  - '!aNULL'
  - '!eNULL'
  - '!LOW'
  - '!EXPORT'
  - '!SSLv2'
  - '@STRENGTH'
```

### mosquitto_ca_path

#### Default value

```YAML
mosquitto_ca_path: /etc/pki/tls/certs/
```

### mosquitto_tls_cert_source

#### Default value

```YAML
mosquitto_tls_cert_source: mycert.pem
```

### mosquitto_tls_key_source

#### Default value

```YAML
mosquitto_tls_key_source: mykey.pem
```

### mosquitto_tls_cert_path

#### Default value

```YAML
mosquitto_tls_cert_path: '{{ mosquitto_base_dir }}/tls/certs/mycert.pem'
```

### mosquitto_tls_key_path

#### Default value

```YAML
mosquitto_tls_key_path: '{{ mosquitto_base_dir }}/tls/private/mykey.pem'
```

## Dependencies

None.

## License

MIT

## Author

xoxys <mail@geeklabor.de>
